## golang-github-xorcare-pointer 1.2.2

=== Makefile ===
# Based on https://git.io/fjkGc

# The full path to the main package is use in the
# imports tool to format imports correctly.
NAMESPACE = github.com/xorcare/pointer

# The name of the file recommended in the standard
# documentation go test -cover and used codecov.io
# to check code coverage.
COVER_FILE ?= coverage.out

# Main targets.
.DEFAULT_GOAL := help

.PHONY: build
build: ## Build the project binary
	@go build ./...

.PHONY: ci
ci: check ## Target for integration with ci pipeline

.PHONY: check
check: static test build ## Check project with static checks and unit tests

.PHONY: help
help: ## Print this help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | \
	awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: imports
imports: tools ## Check and fix import section by import rules
	@test -z $$(for d in $$(go list -f {{.Dir}} ./...); do goimports -e -l -local $(NAMESPACE) -w $$d/*.go; done)

.PHONY: lint
lint: tools ## Check the project with lint
	@golint -set_exit_status ./...

.PHONY: static
static: imports vet lint ## Run static checks (lint, imports, vet, ...) all over the project

.PHONY: test
test: ## Run unit tests
	@go test ./... -count=1 -race
	@go test ./... -count=1 -coverprofile=$(COVER_FILE) -covermode=atomic $d
	@go tool cover -func=$(COVER_FILE) | grep ^total

.PHONY: tools
tools: ## Install all needed tools, e.g. for static checks
	@go install golang.org/x/lint/golint@v0.0.0-20210508222113-6edffad5e616
	@go install golang.org/x/tools/cmd/goimports@v0.0.0-20200130002326-2f3ba24bd6e7

.PHONY: vet
vet: ## Check the project with vet
	@go vet ./...

## golang-github-xorcare-pointer 1.1.0+git20200211.75cc9bc

=== debian/changelog ===
golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Sep 2020 19:54:18 +0000

golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Apr 2020 19:24:27 +0200

=== debian/control ===
Source: golang-github-xorcare-pointer
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Homepage: https://github.com/xorcare/pointer
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer.git
XS-Go-Import-Path: github.com/xorcare/pointer
Testsuite: autopkgtest-pkg-go

Package: golang-github-xorcare-pointer-dev
Architecture: all
Depends: ${misc:Depends}
Description: for simplifying the creation of optional fields of basic type
 This package contains helper routines for simplifying the creation of
 optional fields of basic type.
 .
 This package is needed for grafana.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-xorcare-pointer-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/xorcare/pointer/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-xorcare-pointer 1.2.2

=== debian/changelog ===
golang-github-xorcare-pointer (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Dec 2022 17:55:36 +0100

golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 14:37:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/xorcare/pointer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer.git
@@ -16,6 +16,7 @@
 Package: golang-github-xorcare-pointer-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: for simplifying the creation of optional fields of basic type
  This package contains helper routines for simplifying the creation of
  optional fields of basic type.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-xorcare-pointer-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/xorcare/pointer/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
